Bug 60022 - neat archives dynamic data as default config
neat archives dynamic data as default config
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-18 23:41 EST by Frank Sweetser
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-20 11:23:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Sweetser 2002-02-18 23:41:50 EST
The first time it is run, neat copies the current running config as the default
profile in /etc/sysconfig/networking/ including resolv.conf file.  However, this
file may have been generated off of dhcp/bootp info, in which case it shouldn't
be archived at all, let alone as a persistent default configuration.

This is especially disconcerting when traveling between different networks, and
foreign DNS servers suddenly start appearing in the currently running firewall
rules!
Comment 1 Harald Hoyer 2002-02-20 11:23:18 EST
you are right...
Comment 2 Harald Hoyer 2002-02-21 05:10:43 EST
But no one can detect, if the current resolv.conf is a good one... Besides, you can reconfigure with neat the standard settings, which then will be 
saved over the first copied version.
Comment 3 Frank Sweetser 2002-02-21 08:02:00 EST
Sure you could - the dhcp config scripts just need to add a line something like

# generated by DHCP - don't touch this line or this file won't get updated anymore

to /etc/resolv.conf.  If this line exists, DHCP can muck with the file, if it
doesn't, the admin edited the file and it should be considered static and left
alone by DHCP and editable by neat.
Comment 4 Frank Sweetser 2002-02-21 08:40:35 EST
Or how about this - add a new config element to each networking profile that
allows specification of which device should be allowed to control resolv.conf
via DHCP.

set to device name (eth0, ppp0, etc) -> only DHCP responses from that device get
reflected in resolv.conf

set to 'any' -> DHCP responses from any interface get reflected in resolv.conf

In either of these two cases, resolv.conf would be considered dynamically
created data, and uncachable by neat.

set to 'none' -> no DHCP responses touch resolv.conf.  This file would now be
considered a static config file, suitable for copying around into different
profiles, and responsability for updating would lie with the system administrator.

Note You need to log in before you can comment on or make changes to this bug.